# Maintainer: Freedownloadmanager Team <support@freedownloadmanager.org>
# Contributor: Rizwan Hasan <rizwan.hasan486@gmail.com>
# Modify by Rafael from azul repository

pkgname=freedownloadmanager
pkgver=6.19.1.5263
pkgrel=1
pkgdesc="FDM is a powerful modern download accelerator and organizer."
arch=('x86_64')
url="https://www.freedownloadmanager.org/"

# NOTE (Rafael from azul): The download url may vary from version to version. Review it:
urldown="https://files2.freedownloadmanager.org/6/latest"

license=('Freeware')
depends=('openssl' 'xdg-utils' 'ffmpeg' 'libtorrent')
source=("${urldown}/freedownloadmanager.deb")
sha256sums=('dca98d8641043b35b9aa22ba7b864f23dc1b4dd0361055941f96752bc91d5d6c')

prepare() {
    mkdir -p "$pkgname-$pkgver"
    tar -xvf data.tar.xz -C "$pkgname-$pkgver"
}

package() {
    cd "$pkgname-$pkgver"
    
    sed -i 's/\/opt\/freedownloadmanager\/fdm/\/usr\/bin\/fdm/g' \
        './usr/share/applications/freedownloadmanager.desktop'
    
    cp -dpr --no-preserve=ownership opt usr "$pkgdir"
    
    install -d "$pkgdir/usr/bin"
    ln -sv "/opt/$pkgname/fdm" "$pkgdir/usr/bin/fdm"
}
